# Uses of Class
org.apache.sling.event.impl.jobs.config.InternalQueueConfiguration

Packages that use InternalQueueConfiguration
Package
Description
org.apache.sling.event.impl.jobs.config
org.apache.sling.event.impl.jobs.queues

## Uses of InternalQueueConfiguration in org.apache.sling.event.impl.jobs.config

Fields in org.apache.sling.event.impl.jobs.config declared as InternalQueueConfiguration
Modifier and Type
Field
Description
`InternalQueueConfiguration`
QueueConfigurationManager.QueueInfo.`queueConfiguration`
Methods in org.apache.sling.event.impl.jobs.config that return InternalQueueConfiguration
Modifier and Type
Method
Description
`static InternalQueueConfiguration`
InternalQueueConfiguration.`fromConfiguration(Map<String,Object> props, InternalQueueConfiguration.Config config)`
Create a new configuration from a config
`InternalQueueConfiguration[]`
QueueConfigurationManager.`getConfigurations()`
Return all configurations.
`InternalQueueConfiguration`
MainQueueConfiguration.`getMainConfiguration()`
Return the main queue configuration object.
`InternalQueueConfiguration`
QueueConfigurationManager.`getMainQueueConfiguration()`
Get the configuration for the main queue.
Methods in org.apache.sling.event.impl.jobs.config with parameters of type InternalQueueConfiguration
Modifier and Type
Method
Description
`protected void`
QueueConfigurationManager.`bindConfig(InternalQueueConfiguration config)`
Add a new queue configuration.
`int`
InternalQueueConfiguration.`compareTo(InternalQueueConfiguration other)`
`protected void`
QueueConfigurationManager.`unbindConfig(InternalQueueConfiguration config)`
Remove a queue configuration.
`protected void`
QueueConfigurationManager.`updateConfig(InternalQueueConfiguration config)`
Update a queue configuration.

## Uses of InternalQueueConfiguration in org.apache.sling.event.impl.jobs.queues

Methods in org.apache.sling.event.impl.jobs.queues that return InternalQueueConfiguration
Modifier and Type
Method
Description
`InternalQueueConfiguration`
JobQueueImpl.`getConfiguration()`
Return the queue configuration
Methods in org.apache.sling.event.impl.jobs.queues with parameters of type InternalQueueConfiguration
Modifier and Type
Method
Description
`static JobQueueImpl`
JobQueueImpl.`createQueue(String name, InternalQueueConfiguration config, QueueServices services, Set<String> topics, Set<String> haltedTopicsBackRef, org.apache.sling.event.impl.jobs.queues.OutdatedJobQueueInfo outdatedQueueInfo)`
Create a new queue.
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type InternalQueueConfiguration
Modifier
Constructor
Description
`protected`
`JobQueueImpl(String name, InternalQueueConfiguration config, QueueServices services, QueueJobCache cache, org.apache.sling.event.impl.jobs.queues.OutdatedJobQueueInfo outdatedQueue)`
Create a new queue.